#!/bin/sh
# generated for network 'liszt28' @Fri Mar  3 06:52:11 CET 2023 from ./generate_table.sh
#
# firmware updatemodes:
# - stable..............: r44150
# - beta................: r49276
# - testing/avantgarde..: r4283 (LEDE)
#
# prepare your env with e.g.:
# export PATH="$PATH:~"
# MY_BUILD_DIR=mybuildbot
# sudo mount -t tmpfs -o size=90% none "$PWD/$MY_BUILD_DIR"
# mkdir -p $MY_BUILD_DIR && cd $MY_BUILD_DIR
#
# URL='https://raw.githubusercontent.com/bittorf/kalua/master/openwrt-build/build.sh'
# wget -O build.sh "$URL" && chmod +x build.sh
# ./build.sh --openwrt trunk --download_pool $HOME/openwrt_dl
# ./build.sh --openwrt lede  --download_pool $HOME/openwrt_dl
# scp mysettings /tmp/apply_profile.code.definitions
# scp your_sign_keys .
#
# and copy your public ssh-key (for autouploading files) to: root@intercity-vpn.de
# and execute this script:

export FAILED=

s1() {		# wifimac: 00026f47f295
	echo; echo '=== next_image: s1 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'PC Engines WRAP' --usecase 'Standard,WiFi-ath5k,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s1"
	git stash; test -e 'LICENSE' && cd ..
}

b1() {		# wifimac: 00026f47f295
	echo; echo '=== next_image: b1 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'PC Engines WRAP' --usecase 'Standard,WiFi-ath5k,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b1"
	git stash; test -e 'LICENSE' && cd ..
}

t1() {		# wifimac: 00026f47f295
	echo; echo '=== next_image: t1 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'PC Engines WRAP' --usecase 'Standard,WiFi-ath5k,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t1"
	git stash; test -e 'LICENSE' && cd ..
}

n1() {		# wifimac: 00026f47f295
	echo; echo '=== next_image: n1 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'PC Engines WRAP' --usecase 'Standard,WiFi-ath5k,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n1"
	git stash; test -e 'LICENSE' && cd ..
}

s2() {		# wifimac: 000c4205d8cc
	echo; echo '=== next_image: s2 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Soekris net5501' --usecase 'Standard,WiFi-ath5k,WiFi-ath9k,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s2"
	git stash; test -e 'LICENSE' && cd ..
}

b2() {		# wifimac: 000c4205d8cc
	echo; echo '=== next_image: b2 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Soekris net5501' --usecase 'Standard,WiFi-ath5k,WiFi-ath9k,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b2"
	git stash; test -e 'LICENSE' && cd ..
}

t2() {		# wifimac: 000c4205d8cc
	echo; echo '=== next_image: t2 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Soekris net5501' --usecase 'Standard,WiFi-ath5k,WiFi-ath9k,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t2"
	git stash; test -e 'LICENSE' && cd ..
}

n2() {		# wifimac: 000c4205d8cc
	echo; echo '=== next_image: n2 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Soekris net5501' --usecase 'Standard,WiFi-ath5k,WiFi-ath9k,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n2"
	git stash; test -e 'LICENSE' && cd ..
}

s3() {		# wifimac: 000c420af4b9
	echo; echo '=== next_image: s3 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Mikrotik Routerboard 532' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s3"
	git stash; test -e 'LICENSE' && cd ..
}

b3() {		# wifimac: 000c420af4b9
	echo; echo '=== next_image: b3 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Mikrotik Routerboard 532' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b3"
	git stash; test -e 'LICENSE' && cd ..
}

t3() {		# wifimac: 000c420af4b9
	echo; echo '=== next_image: t3 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Mikrotik Routerboard 532' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t3"
	git stash; test -e 'LICENSE' && cd ..
}

n3() {		# wifimac: 000c420af4b9
	echo; echo '=== next_image: n3 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Mikrotik Routerboard 532' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n3"
	git stash; test -e 'LICENSE' && cd ..
}

s4() {		# wifimac: 0010752d80e1
	echo; echo '=== next_image: s4 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Seagate GoFlex Home' --usecase 'Standard,NAS,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s4"
	git stash; test -e 'LICENSE' && cd ..
}

b4() {		# wifimac: 0010752d80e1
	echo; echo '=== next_image: b4 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Seagate GoFlex Home' --usecase 'Standard,NAS,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b4"
	git stash; test -e 'LICENSE' && cd ..
}

t4() {		# wifimac: 0010752d80e1
	echo; echo '=== next_image: t4 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Seagate GoFlex Home' --usecase 'Standard,NAS,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t4"
	git stash; test -e 'LICENSE' && cd ..
}

n4() {		# wifimac: 0010752d80e1
	echo; echo '=== next_image: n4 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Seagate GoFlex Home' --usecase 'Standard,NAS,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n4"
	git stash; test -e 'LICENSE' && cd ..
}

s5() {		# wifimac: 00156d1aaf2d
	echo; echo '=== next_image: s5 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Ubiquiti Bullet M5' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s5"
	git stash; test -e 'LICENSE' && cd ..
}

b5() {		# wifimac: 00156d1aaf2d
	echo; echo '=== next_image: b5 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Ubiquiti Bullet M5' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b5"
	git stash; test -e 'LICENSE' && cd ..
}

t5() {		# wifimac: 00156d1aaf2d
	echo; echo '=== next_image: t5 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Ubiquiti Bullet M5' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t5"
	git stash; test -e 'LICENSE' && cd ..
}

n5() {		# wifimac: 00156d1aaf2d
	echo; echo '=== next_image: n5 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Ubiquiti Bullet M5' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n5"
	git stash; test -e 'LICENSE' && cd ..
}

s6() {		# wifimac: 00156dad5c26
	echo; echo '=== next_image: s6 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Ubiquiti Nanostation2' --usecase 'Standard-4mb,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s6"
	git stash; test -e 'LICENSE' && cd ..
}

b6() {		# wifimac: 00156dad5c26
	echo; echo '=== next_image: b6 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Ubiquiti Nanostation2' --usecase 'Standard-4mb,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b6"
	git stash; test -e 'LICENSE' && cd ..
}

t6() {		# wifimac: 00156dad5c26
	echo; echo '=== next_image: t6 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Ubiquiti Nanostation2' --usecase 'Standard-4mb,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t6"
	git stash; test -e 'LICENSE' && cd ..
}

n6() {		# wifimac: 00156dad5c26
	echo; echo '=== next_image: n6 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Ubiquiti Nanostation2' --usecase 'Standard-4mb,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n6"
	git stash; test -e 'LICENSE' && cd ..
}

s7() {		# wifimac: 00156df3adad
	echo; echo '=== next_image: s7 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Ubiquiti Bullet5' --usecase 'Standard-4mb,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s7"
	git stash; test -e 'LICENSE' && cd ..
}

b7() {		# wifimac: 00156df3adad
	echo; echo '=== next_image: b7 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Ubiquiti Bullet5' --usecase 'Standard-4mb,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b7"
	git stash; test -e 'LICENSE' && cd ..
}

t7() {		# wifimac: 00156df3adad
	echo; echo '=== next_image: t7 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Ubiquiti Bullet5' --usecase 'Standard-4mb,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t7"
	git stash; test -e 'LICENSE' && cd ..
}

n7() {		# wifimac: 00156df3adad
	echo; echo '=== next_image: n7 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Ubiquiti Bullet5' --usecase 'Standard-4mb,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n7"
	git stash; test -e 'LICENSE' && cd ..
}

s8() {		# wifimac: 00188488659a
	echo; echo '=== next_image: s8 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'La Fonera 2.0N' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s8"
	git stash; test -e 'LICENSE' && cd ..
}

b8() {		# wifimac: 00188488659a
	echo; echo '=== next_image: b8 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'La Fonera 2.0N' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b8"
	git stash; test -e 'LICENSE' && cd ..
}

t8() {		# wifimac: 00188488659a
	echo; echo '=== next_image: t8 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'La Fonera 2.0N' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t8"
	git stash; test -e 'LICENSE' && cd ..
}

n8() {		# wifimac: 00188488659a
	echo; echo '=== next_image: n8 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'La Fonera 2.0N' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n8"
	git stash; test -e 'LICENSE' && cd ..
}

s9() {		# wifimac: 001bfc57adfe
	echo; echo '=== next_image: s9 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'ASUS WL-500g Premium' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s9"
	git stash; test -e 'LICENSE' && cd ..
}

b9() {		# wifimac: 001bfc57adfe
	echo; echo '=== next_image: b9 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'ASUS WL-500g Premium' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b9"
	git stash; test -e 'LICENSE' && cd ..
}

t9() {		# wifimac: 001bfc57adfe
	echo; echo '=== next_image: t9 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'ASUS WL-500g Premium' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t9"
	git stash; test -e 'LICENSE' && cd ..
}

n9() {		# wifimac: 001bfc57adfe
	echo; echo '=== next_image: n9 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'ASUS WL-500g Premium' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n9"
	git stash; test -e 'LICENSE' && cd ..
}

s10() {		# wifimac: 00248c7f4334
	echo; echo '=== next_image: s10 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'ASUS WL-500g Premium v2' --usecase 'Standard,Photograph,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s10"
	git stash; test -e 'LICENSE' && cd ..
}

b10() {		# wifimac: 00248c7f4334
	echo; echo '=== next_image: b10 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'ASUS WL-500g Premium v2' --usecase 'Standard,Photograph,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b10"
	git stash; test -e 'LICENSE' && cd ..
}

t10() {		# wifimac: 00248c7f4334
	echo; echo '=== next_image: t10 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'ASUS WL-500g Premium v2' --usecase 'Standard,Photograph,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t10"
	git stash; test -e 'LICENSE' && cd ..
}

n10() {		# wifimac: 00248c7f4334
	echo; echo '=== next_image: n10 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'ASUS WL-500g Premium v2' --usecase 'Standard,Photograph,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n10"
	git stash; test -e 'LICENSE' && cd ..
}

s11() {		# wifimac: 00272274dd65
	echo; echo '=== next_image: s11 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Ubiquiti Nanostation M5' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s11"
	git stash; test -e 'LICENSE' && cd ..
}

b11() {		# wifimac: 00272274dd65
	echo; echo '=== next_image: b11 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Ubiquiti Nanostation M5' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b11"
	git stash; test -e 'LICENSE' && cd ..
}

t11() {		# wifimac: 00272274dd65
	echo; echo '=== next_image: t11 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Ubiquiti Nanostation M5' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t11"
	git stash; test -e 'LICENSE' && cd ..
}

n11() {		# wifimac: 00272274dd65
	echo; echo '=== next_image: n11 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Ubiquiti Nanostation M5' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n11"
	git stash; test -e 'LICENSE' && cd ..
}

s12() {		# wifimac: 00272280f175
	echo; echo '=== next_image: s12 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Ubiquiti Picostation M2' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s12"
	git stash; test -e 'LICENSE' && cd ..
}

b12() {		# wifimac: 00272280f175
	echo; echo '=== next_image: b12 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Ubiquiti Picostation M2' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b12"
	git stash; test -e 'LICENSE' && cd ..
}

t12() {		# wifimac: 00272280f175
	echo; echo '=== next_image: t12 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Ubiquiti Picostation M2' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t12"
	git stash; test -e 'LICENSE' && cd ..
}

n12() {		# wifimac: 00272280f175
	echo; echo '=== next_image: n12 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Ubiquiti Picostation M2' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n12"
	git stash; test -e 'LICENSE' && cd ..
}

# DEBUG: usecase invalid: 'Standard,DAWN,vxlan,wireguard,kalua' - see: 020000000000
s13() {		# wifimac: 025006c25765
	echo; echo '=== next_image: s13 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Cubietruck' --usecase 'Standard,NAS,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s13"
	git stash; test -e 'LICENSE' && cd ..
}

b13() {		# wifimac: 025006c25765
	echo; echo '=== next_image: b13 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Cubietruck' --usecase 'Standard,NAS,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b13"
	git stash; test -e 'LICENSE' && cd ..
}

t13() {		# wifimac: 025006c25765
	echo; echo '=== next_image: t13 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Cubietruck' --usecase 'Standard,NAS,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t13"
	git stash; test -e 'LICENSE' && cd ..
}

n13() {		# wifimac: 025006c25765
	echo; echo '=== next_image: n13 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Cubietruck' --usecase 'Standard,NAS,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n13"
	git stash; test -e 'LICENSE' && cd ..
}

s14() {		# wifimac: 0418d6ec3def
	echo; echo '=== next_image: s14 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Ubiquiti Nanostation M5 XW' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s14"
	git stash; test -e 'LICENSE' && cd ..
}

b14() {		# wifimac: 0418d6ec3def
	echo; echo '=== next_image: b14 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Ubiquiti Nanostation M5 XW' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b14"
	git stash; test -e 'LICENSE' && cd ..
}

t14() {		# wifimac: 0418d6ec3def
	echo; echo '=== next_image: t14 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Ubiquiti Nanostation M5 XW' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t14"
	git stash; test -e 'LICENSE' && cd ..
}

n14() {		# wifimac: 0418d6ec3def
	echo; echo '=== next_image: n14 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Ubiquiti Nanostation M5 XW' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n14"
	git stash; test -e 'LICENSE' && cd ..
}

s15() {		# wifimac: 106f3f0e3162
	echo; echo '=== next_image: s15 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Buffalo WZR-HP-AG300H' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s15"
	git stash; test -e 'LICENSE' && cd ..
}

b15() {		# wifimac: 106f3f0e3162
	echo; echo '=== next_image: b15 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Buffalo WZR-HP-AG300H' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b15"
	git stash; test -e 'LICENSE' && cd ..
}

t15() {		# wifimac: 106f3f0e3162
	echo; echo '=== next_image: t15 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Buffalo WZR-HP-AG300H' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t15"
	git stash; test -e 'LICENSE' && cd ..
}

n15() {		# wifimac: 106f3f0e3162
	echo; echo '=== next_image: n15 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Buffalo WZR-HP-AG300H' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n15"
	git stash; test -e 'LICENSE' && cd ..
}

s16() {		# wifimac: 106f3f0e318e
	echo; echo '=== next_image: s16 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Buffalo WZR-HP-AG300H' --usecase 'GCC8,Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s16"
	git stash; test -e 'LICENSE' && cd ..
}

b16() {		# wifimac: 106f3f0e318e
	echo; echo '=== next_image: b16 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Buffalo WZR-HP-AG300H' --usecase 'GCC8,Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b16"
	git stash; test -e 'LICENSE' && cd ..
}

t16() {		# wifimac: 106f3f0e318e
	echo; echo '=== next_image: t16 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Buffalo WZR-HP-AG300H' --usecase 'GCC8,Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t16"
	git stash; test -e 'LICENSE' && cd ..
}

n16() {		# wifimac: 106f3f0e318e
	echo; echo '=== next_image: n16 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Buffalo WZR-HP-AG300H' --usecase 'GCC8,Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n16"
	git stash; test -e 'LICENSE' && cd ..
}

s17() {		# wifimac: 106f3f0e3318
	echo; echo '=== next_image: s17 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Buffalo WZR-HP-AG300H' --usecase 'Standard,BigBrother,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s17"
	git stash; test -e 'LICENSE' && cd ..
}

b17() {		# wifimac: 106f3f0e3318
	echo; echo '=== next_image: b17 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Buffalo WZR-HP-AG300H' --usecase 'Standard,BigBrother,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b17"
	git stash; test -e 'LICENSE' && cd ..
}

t17() {		# wifimac: 106f3f0e3318
	echo; echo '=== next_image: t17 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Buffalo WZR-HP-AG300H' --usecase 'Standard,BigBrother,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t17"
	git stash; test -e 'LICENSE' && cd ..
}

n17() {		# wifimac: 106f3f0e3318
	echo; echo '=== next_image: n17 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Buffalo WZR-HP-AG300H' --usecase 'Standard,BigBrother,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n17"
	git stash; test -e 'LICENSE' && cd ..
}

s18() {		# wifimac: 106f3f0e3328
	echo; echo '=== next_image: s18 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Buffalo WZR-HP-AG300H' --usecase 'Standard,DSLR,fotobox,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s18"
	git stash; test -e 'LICENSE' && cd ..
}

b18() {		# wifimac: 106f3f0e3328
	echo; echo '=== next_image: b18 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Buffalo WZR-HP-AG300H' --usecase 'Standard,DSLR,fotobox,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b18"
	git stash; test -e 'LICENSE' && cd ..
}

t18() {		# wifimac: 106f3f0e3328
	echo; echo '=== next_image: t18 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Buffalo WZR-HP-AG300H' --usecase 'Standard,DSLR,fotobox,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t18"
	git stash; test -e 'LICENSE' && cd ..
}

n18() {		# wifimac: 106f3f0e3328
	echo; echo '=== next_image: n18 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Buffalo WZR-HP-AG300H' --usecase 'Standard,DSLR,fotobox,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n18"
	git stash; test -e 'LICENSE' && cd ..
}

s19() {		# wifimac: 10feed56863a
	echo; echo '=== next_image: s19 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,VDS,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s19"
	git stash; test -e 'LICENSE' && cd ..
}

b19() {		# wifimac: 10feed56863a
	echo; echo '=== next_image: b19 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,VDS,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b19"
	git stash; test -e 'LICENSE' && cd ..
}

t19() {		# wifimac: 10feed56863a
	echo; echo '=== next_image: t19 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,VDS,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t19"
	git stash; test -e 'LICENSE' && cd ..
}

n19() {		# wifimac: 10feed56863a
	echo; echo '=== next_image: n19 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,VDS,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n19"
	git stash; test -e 'LICENSE' && cd ..
}

s20() {		# wifimac: 10feed654bae
	echo; echo '=== next_image: s20 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s20"
	git stash; test -e 'LICENSE' && cd ..
}

b20() {		# wifimac: 10feed654bae
	echo; echo '=== next_image: b20 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b20"
	git stash; test -e 'LICENSE' && cd ..
}

t20() {		# wifimac: 10feed654bae
	echo; echo '=== next_image: t20 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t20"
	git stash; test -e 'LICENSE' && cd ..
}

n20() {		# wifimac: 10feed654bae
	echo; echo '=== next_image: n20 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n20"
	git stash; test -e 'LICENSE' && cd ..
}

s21() {		# wifimac: 144d676d7704
	echo; echo '=== next_image: s21 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Totolink A7000R' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s21"
	git stash; test -e 'LICENSE' && cd ..
}

b21() {		# wifimac: 144d676d7704
	echo; echo '=== next_image: b21 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Totolink A7000R' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b21"
	git stash; test -e 'LICENSE' && cd ..
}

t21() {		# wifimac: 144d676d7704
	echo; echo '=== next_image: t21 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Totolink A7000R' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t21"
	git stash; test -e 'LICENSE' && cd ..
}

n21() {		# wifimac: 144d676d7704
	echo; echo '=== next_image: n21 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Totolink A7000R' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n21"
	git stash; test -e 'LICENSE' && cd ..
}

s22() {		# wifimac: 14cc20ed1f29
	echo; echo '=== next_image: s22 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s22"
	git stash; test -e 'LICENSE' && cd ..
}

b22() {		# wifimac: 14cc20ed1f29
	echo; echo '=== next_image: b22 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b22"
	git stash; test -e 'LICENSE' && cd ..
}

t22() {		# wifimac: 14cc20ed1f29
	echo; echo '=== next_image: t22 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t22"
	git stash; test -e 'LICENSE' && cd ..
}

n22() {		# wifimac: 14cc20ed1f29
	echo; echo '=== next_image: n22 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n22"
	git stash; test -e 'LICENSE' && cd ..
}

s23() {		# wifimac: 14cf923c860e
	echo; echo '=== next_image: s23 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR703N v1' --usecase 'Standard-4mb,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s23"
	git stash; test -e 'LICENSE' && cd ..
}

b23() {		# wifimac: 14cf923c860e
	echo; echo '=== next_image: b23 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR703N v1' --usecase 'Standard-4mb,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b23"
	git stash; test -e 'LICENSE' && cd ..
}

t23() {		# wifimac: 14cf923c860e
	echo; echo '=== next_image: t23 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR703N v1' --usecase 'Standard-4mb,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t23"
	git stash; test -e 'LICENSE' && cd ..
}

n23() {		# wifimac: 14cf923c860e
	echo; echo '=== next_image: n23 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR703N v1' --usecase 'Standard-4mb,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n23"
	git stash; test -e 'LICENSE' && cd ..
}

# DEBUG: hardware invalid: 'Ubiquiti EdgeRouter X-SFP' - see: 18e829254272
s24() {		# wifimac: 202818a0f9a2
	echo; echo '=== next_image: s24 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Nexx WT3020F' --usecase 'Standard-4mb,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s24"
	git stash; test -e 'LICENSE' && cd ..
}

b24() {		# wifimac: 202818a0f9a2
	echo; echo '=== next_image: b24 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Nexx WT3020F' --usecase 'Standard-4mb,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b24"
	git stash; test -e 'LICENSE' && cd ..
}

t24() {		# wifimac: 202818a0f9a2
	echo; echo '=== next_image: t24 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Nexx WT3020F' --usecase 'Standard-4mb,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t24"
	git stash; test -e 'LICENSE' && cd ..
}

n24() {		# wifimac: 202818a0f9a2
	echo; echo '=== next_image: n24 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Nexx WT3020F' --usecase 'Standard-4mb,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n24"
	git stash; test -e 'LICENSE' && cd ..
}

s25() {		# wifimac: 202818a0fa83
	echo; echo '=== next_image: s25 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Nexx WT3020F' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s25"
	git stash; test -e 'LICENSE' && cd ..
}

b25() {		# wifimac: 202818a0fa83
	echo; echo '=== next_image: b25 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Nexx WT3020F' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b25"
	git stash; test -e 'LICENSE' && cd ..
}

t25() {		# wifimac: 202818a0fa83
	echo; echo '=== next_image: t25 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Nexx WT3020F' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t25"
	git stash; test -e 'LICENSE' && cd ..
}

n25() {		# wifimac: 202818a0fa83
	echo; echo '=== next_image: n25 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Nexx WT3020F' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n25"
	git stash; test -e 'LICENSE' && cd ..
}

s26() {		# wifimac: 28ee52d531dd
	echo; echo '=== next_image: s26 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK Archer C6U' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s26"
	git stash; test -e 'LICENSE' && cd ..
}

b26() {		# wifimac: 28ee52d531dd
	echo; echo '=== next_image: b26 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK Archer C6U' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b26"
	git stash; test -e 'LICENSE' && cd ..
}

t26() {		# wifimac: 28ee52d531dd
	echo; echo '=== next_image: t26 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK Archer C6U' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t26"
	git stash; test -e 'LICENSE' && cd ..
}

n26() {		# wifimac: 28ee52d531dd
	echo; echo '=== next_image: n26 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK Archer C6U' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n26"
	git stash; test -e 'LICENSE' && cd ..
}

s27() {		# wifimac: 5c63bfbadd98
	echo; echo '=== next_image: s27 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR703N v1' --usecase 'Standard-4mb,USBprinter,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s27"
	git stash; test -e 'LICENSE' && cd ..
}

b27() {		# wifimac: 5c63bfbadd98
	echo; echo '=== next_image: b27 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR703N v1' --usecase 'Standard-4mb,USBprinter,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b27"
	git stash; test -e 'LICENSE' && cd ..
}

t27() {		# wifimac: 5c63bfbadd98
	echo; echo '=== next_image: t27 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR703N v1' --usecase 'Standard-4mb,USBprinter,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t27"
	git stash; test -e 'LICENSE' && cd ..
}

n27() {		# wifimac: 5c63bfbadd98
	echo; echo '=== next_image: n27 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR703N v1' --usecase 'Standard-4mb,USBprinter,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n27"
	git stash; test -e 'LICENSE' && cd ..
}

s28() {		# wifimac: 603b6629218f
	echo; echo '=== next_image: s28 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'MQmaker WiTi' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s28"
	git stash; test -e 'LICENSE' && cd ..
}

b28() {		# wifimac: 603b6629218f
	echo; echo '=== next_image: b28 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'MQmaker WiTi' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b28"
	git stash; test -e 'LICENSE' && cd ..
}

t28() {		# wifimac: 603b6629218f
	echo; echo '=== next_image: t28 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'MQmaker WiTi' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t28"
	git stash; test -e 'LICENSE' && cd ..
}

n28() {		# wifimac: 603b6629218f
	echo; echo '=== next_image: n28 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'MQmaker WiTi' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n28"
	git stash; test -e 'LICENSE' && cd ..
}

s29() {		# wifimac: 623b6629218f
	echo; echo '=== next_image: s29 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'MQmaker WiTi' --usecase 'Standard-4mb,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s29"
	git stash; test -e 'LICENSE' && cd ..
}

b29() {		# wifimac: 623b6629218f
	echo; echo '=== next_image: b29 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'MQmaker WiTi' --usecase 'Standard-4mb,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b29"
	git stash; test -e 'LICENSE' && cd ..
}

t29() {		# wifimac: 623b6629218f
	echo; echo '=== next_image: t29 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'MQmaker WiTi' --usecase 'Standard-4mb,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t29"
	git stash; test -e 'LICENSE' && cd ..
}

n29() {		# wifimac: 623b6629218f
	echo; echo '=== next_image: n29 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'MQmaker WiTi' --usecase 'Standard-4mb,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n29"
	git stash; test -e 'LICENSE' && cd ..
}

s30() {		# wifimac: 6409807ae794
	echo; echo '=== next_image: s30 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Xiaomi Miwifi mini' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s30"
	git stash; test -e 'LICENSE' && cd ..
}

b30() {		# wifimac: 6409807ae794
	echo; echo '=== next_image: b30 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Xiaomi Miwifi mini' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b30"
	git stash; test -e 'LICENSE' && cd ..
}

t30() {		# wifimac: 6409807ae794
	echo; echo '=== next_image: t30 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Xiaomi Miwifi mini' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t30"
	git stash; test -e 'LICENSE' && cd ..
}

n30() {		# wifimac: 6409807ae794
	echo; echo '=== next_image: n30 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Xiaomi Miwifi mini' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n30"
	git stash; test -e 'LICENSE' && cd ..
}

s31() {		# wifimac: 6466b3ded9d7
	echo; echo '=== next_image: s31 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WDR4900 v1' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s31"
	git stash; test -e 'LICENSE' && cd ..
}

b31() {		# wifimac: 6466b3ded9d7
	echo; echo '=== next_image: b31 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WDR4900 v1' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b31"
	git stash; test -e 'LICENSE' && cd ..
}

t31() {		# wifimac: 6466b3ded9d7
	echo; echo '=== next_image: t31 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WDR4900 v1' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t31"
	git stash; test -e 'LICENSE' && cd ..
}

n31() {		# wifimac: 6466b3ded9d7
	echo; echo '=== next_image: n31 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WDR4900 v1' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n31"
	git stash; test -e 'LICENSE' && cd ..
}

s32() {		# wifimac: 6466b3e838f3
	echo; echo '=== next_image: s32 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WDR4900 v1' --usecase 'Standard,DAWN,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s32"
	git stash; test -e 'LICENSE' && cd ..
}

b32() {		# wifimac: 6466b3e838f3
	echo; echo '=== next_image: b32 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WDR4900 v1' --usecase 'Standard,DAWN,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b32"
	git stash; test -e 'LICENSE' && cd ..
}

t32() {		# wifimac: 6466b3e838f3
	echo; echo '=== next_image: t32 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WDR4900 v1' --usecase 'Standard,DAWN,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t32"
	git stash; test -e 'LICENSE' && cd ..
}

n32() {		# wifimac: 6466b3e838f3
	echo; echo '=== next_image: n32 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WDR4900 v1' --usecase 'Standard,DAWN,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n32"
	git stash; test -e 'LICENSE' && cd ..
}

s33() {		# wifimac: 647002d3240a
	echo; echo '=== next_image: s33 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,BigBrother,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s33"
	git stash; test -e 'LICENSE' && cd ..
}

b33() {		# wifimac: 647002d3240a
	echo; echo '=== next_image: b33 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,BigBrother,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b33"
	git stash; test -e 'LICENSE' && cd ..
}

t33() {		# wifimac: 647002d3240a
	echo; echo '=== next_image: t33 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,BigBrother,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t33"
	git stash; test -e 'LICENSE' && cd ..
}

n33() {		# wifimac: 647002d3240a
	echo; echo '=== next_image: n33 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,BigBrother,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n33"
	git stash; test -e 'LICENSE' && cd ..
}

# DEBUG: usecase invalid: 'Standard,DAWN,vxlan,kalua' - see: 6666b3e838f0
s34() {		# wifimac: 74ea3ae47452
	echo; echo '=== next_image: s34 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard-4mb,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s34"
	git stash; test -e 'LICENSE' && cd ..
}

b34() {		# wifimac: 74ea3ae47452
	echo; echo '=== next_image: b34 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard-4mb,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b34"
	git stash; test -e 'LICENSE' && cd ..
}

t34() {		# wifimac: 74ea3ae47452
	echo; echo '=== next_image: t34 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard-4mb,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t34"
	git stash; test -e 'LICENSE' && cd ..
}

n34() {		# wifimac: 74ea3ae47452
	echo; echo '=== next_image: n34 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard-4mb,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n34"
	git stash; test -e 'LICENSE' && cd ..
}

s35() {		# wifimac: 88c397ee88fb
	echo; echo '=== next_image: s35 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Xiaomi Mi Router AC2100' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s35"
	git stash; test -e 'LICENSE' && cd ..
}

b35() {		# wifimac: 88c397ee88fb
	echo; echo '=== next_image: b35 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Xiaomi Mi Router AC2100' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b35"
	git stash; test -e 'LICENSE' && cd ..
}

t35() {		# wifimac: 88c397ee88fb
	echo; echo '=== next_image: t35 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Xiaomi Mi Router AC2100' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t35"
	git stash; test -e 'LICENSE' && cd ..
}

n35() {		# wifimac: 88c397ee88fb
	echo; echo '=== next_image: n35 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Xiaomi Mi Router AC2100' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n35"
	git stash; test -e 'LICENSE' && cd ..
}

s36() {		# wifimac: 90f652b16cd0
	echo; echo '=== next_image: s36 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR841N/ND v7' --usecase 'Standard-4mb,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s36"
	git stash; test -e 'LICENSE' && cd ..
}

b36() {		# wifimac: 90f652b16cd0
	echo; echo '=== next_image: b36 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR841N/ND v7' --usecase 'Standard-4mb,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b36"
	git stash; test -e 'LICENSE' && cd ..
}

t36() {		# wifimac: 90f652b16cd0
	echo; echo '=== next_image: t36 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR841N/ND v7' --usecase 'Standard-4mb,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t36"
	git stash; test -e 'LICENSE' && cd ..
}

n36() {		# wifimac: 90f652b16cd0
	echo; echo '=== next_image: n36 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR841N/ND v7' --usecase 'Standard-4mb,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n36"
	git stash; test -e 'LICENSE' && cd ..
}

s37() {		# wifimac: a0f3c149363f
	echo; echo '=== next_image: s37 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,debug,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s37"
	git stash; test -e 'LICENSE' && cd ..
}

b37() {		# wifimac: a0f3c149363f
	echo; echo '=== next_image: b37 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,debug,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b37"
	git stash; test -e 'LICENSE' && cd ..
}

t37() {		# wifimac: a0f3c149363f
	echo; echo '=== next_image: t37 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,debug,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t37"
	git stash; test -e 'LICENSE' && cd ..
}

n37() {		# wifimac: a0f3c149363f
	echo; echo '=== next_image: n37 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,debug,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n37"
	git stash; test -e 'LICENSE' && cd ..
}

s38() {		# wifimac: a0f3c1748dba
	echo; echo '=== next_image: s38 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'freifunk,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s38"
	git stash; test -e 'LICENSE' && cd ..
}

b38() {		# wifimac: a0f3c1748dba
	echo; echo '=== next_image: b38 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'freifunk,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b38"
	git stash; test -e 'LICENSE' && cd ..
}

t38() {		# wifimac: a0f3c1748dba
	echo; echo '=== next_image: t38 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'freifunk,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t38"
	git stash; test -e 'LICENSE' && cd ..
}

n38() {		# wifimac: a0f3c1748dba
	echo; echo '=== next_image: n38 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'freifunk,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n38"
	git stash; test -e 'LICENSE' && cd ..
}

s39() {		# wifimac: a0f3c18f8575
	echo; echo '=== next_image: s39 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard-4mb,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s39"
	git stash; test -e 'LICENSE' && cd ..
}

b39() {		# wifimac: a0f3c18f8575
	echo; echo '=== next_image: b39 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard-4mb,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b39"
	git stash; test -e 'LICENSE' && cd ..
}

t39() {		# wifimac: a0f3c18f8575
	echo; echo '=== next_image: t39 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard-4mb,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t39"
	git stash; test -e 'LICENSE' && cd ..
}

n39() {		# wifimac: a0f3c18f8575
	echo; echo '=== next_image: n39 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard-4mb,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n39"
	git stash; test -e 'LICENSE' && cd ..
}

s40() {		# wifimac: b0487abb4ffc
	echo; echo '=== next_image: s40 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,OLSRd2,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s40"
	git stash; test -e 'LICENSE' && cd ..
}

b40() {		# wifimac: b0487abb4ffc
	echo; echo '=== next_image: b40 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,OLSRd2,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b40"
	git stash; test -e 'LICENSE' && cd ..
}

t40() {		# wifimac: b0487abb4ffc
	echo; echo '=== next_image: t40 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,OLSRd2,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t40"
	git stash; test -e 'LICENSE' && cd ..
}

n40() {		# wifimac: b0487abb4ffc
	echo; echo '=== next_image: n40 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,OLSRd2,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n40"
	git stash; test -e 'LICENSE' && cd ..
}

s41() {		# wifimac: b0487abb527e
	echo; echo '=== next_image: s41 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,wwan,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s41"
	git stash; test -e 'LICENSE' && cd ..
}

b41() {		# wifimac: b0487abb527e
	echo; echo '=== next_image: b41 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,wwan,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b41"
	git stash; test -e 'LICENSE' && cd ..
}

t41() {		# wifimac: b0487abb527e
	echo; echo '=== next_image: t41 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,wwan,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t41"
	git stash; test -e 'LICENSE' && cd ..
}

n41() {		# wifimac: b0487abb527e
	echo; echo '=== next_image: n41 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,wwan,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n41"
	git stash; test -e 'LICENSE' && cd ..
}

s42() {		# wifimac: b827eb1463ea
	echo; echo '=== next_image: s42 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Raspberry Pi 3' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s42"
	git stash; test -e 'LICENSE' && cd ..
}

b42() {		# wifimac: b827eb1463ea
	echo; echo '=== next_image: b42 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Raspberry Pi 3' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b42"
	git stash; test -e 'LICENSE' && cd ..
}

t42() {		# wifimac: b827eb1463ea
	echo; echo '=== next_image: t42 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Raspberry Pi 3' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t42"
	git stash; test -e 'LICENSE' && cd ..
}

n42() {		# wifimac: b827eb1463ea
	echo; echo '=== next_image: n42 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Raspberry Pi 3' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n42"
	git stash; test -e 'LICENSE' && cd ..
}

# DEBUG: hardware invalid: 'Raspberry Pi Zero WH' - see: b827eb27dc2a
s43() {		# wifimac: c04a002d32c6
	echo; echo '=== next_image: s43 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR1043ND v2' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s43"
	git stash; test -e 'LICENSE' && cd ..
}

b43() {		# wifimac: c04a002d32c6
	echo; echo '=== next_image: b43 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR1043ND v2' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b43"
	git stash; test -e 'LICENSE' && cd ..
}

t43() {		# wifimac: c04a002d32c6
	echo; echo '=== next_image: t43 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR1043ND v2' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t43"
	git stash; test -e 'LICENSE' && cd ..
}

n43() {		# wifimac: c04a002d32c6
	echo; echo '=== next_image: n43 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR1043ND v2' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n43"
	git stash; test -e 'LICENSE' && cd ..
}

s44() {		# wifimac: c0a0bbf0d8b8
	echo; echo '=== next_image: s44 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'D-Link DIR-505 A1' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s44"
	git stash; test -e 'LICENSE' && cd ..
}

b44() {		# wifimac: c0a0bbf0d8b8
	echo; echo '=== next_image: b44 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'D-Link DIR-505 A1' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b44"
	git stash; test -e 'LICENSE' && cd ..
}

t44() {		# wifimac: c0a0bbf0d8b8
	echo; echo '=== next_image: t44 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'D-Link DIR-505 A1' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t44"
	git stash; test -e 'LICENSE' && cd ..
}

n44() {		# wifimac: c0a0bbf0d8b8
	echo; echo '=== next_image: n44 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'D-Link DIR-505 A1' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n44"
	git stash; test -e 'LICENSE' && cd ..
}

s45() {		# wifimac: c8d3a357f76a
	echo; echo '=== next_image: s45 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'D-Link DIR-505 A1' --usecase 'Standard,wwan,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s45"
	git stash; test -e 'LICENSE' && cd ..
}

b45() {		# wifimac: c8d3a357f76a
	echo; echo '=== next_image: b45 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'D-Link DIR-505 A1' --usecase 'Standard,wwan,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b45"
	git stash; test -e 'LICENSE' && cd ..
}

t45() {		# wifimac: c8d3a357f76a
	echo; echo '=== next_image: t45 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'D-Link DIR-505 A1' --usecase 'Standard,wwan,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t45"
	git stash; test -e 'LICENSE' && cd ..
}

n45() {		# wifimac: c8d3a357f76a
	echo; echo '=== next_image: n45 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'D-Link DIR-505 A1' --usecase 'Standard,wwan,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n45"
	git stash; test -e 'LICENSE' && cd ..
}

s46() {		# wifimac: c8e7d85fc7f6
	echo; echo '=== next_image: s46 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Mercury MAC1200R' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s46"
	git stash; test -e 'LICENSE' && cd ..
}

b46() {		# wifimac: c8e7d85fc7f6
	echo; echo '=== next_image: b46 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Mercury MAC1200R' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b46"
	git stash; test -e 'LICENSE' && cd ..
}

t46() {		# wifimac: c8e7d85fc7f6
	echo; echo '=== next_image: t46 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Mercury MAC1200R' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t46"
	git stash; test -e 'LICENSE' && cd ..
}

n46() {		# wifimac: c8e7d85fc7f6
	echo; echo '=== next_image: n46 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Mercury MAC1200R' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n46"
	git stash; test -e 'LICENSE' && cd ..
}

s47() {		# wifimac: d46e0e3205ec
	echo; echo '=== next_image: s47 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK CPE510 v1' --usecase 'Standard-4mb,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s47"
	git stash; test -e 'LICENSE' && cd ..
}

b47() {		# wifimac: d46e0e3205ec
	echo; echo '=== next_image: b47 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK CPE510 v1' --usecase 'Standard-4mb,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b47"
	git stash; test -e 'LICENSE' && cd ..
}

t47() {		# wifimac: d46e0e3205ec
	echo; echo '=== next_image: t47 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK CPE510 v1' --usecase 'Standard-4mb,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t47"
	git stash; test -e 'LICENSE' && cd ..
}

n47() {		# wifimac: d46e0e3205ec
	echo; echo '=== next_image: n47 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK CPE510 v1' --usecase 'Standard-4mb,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n47"
	git stash; test -e 'LICENSE' && cd ..
}

s48() {		# wifimac: d85d4cd50b56
	echo; echo '=== next_image: s48 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,Photograph,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s48"
	git stash; test -e 'LICENSE' && cd ..
}

b48() {		# wifimac: d85d4cd50b56
	echo; echo '=== next_image: b48 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,Photograph,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b48"
	git stash; test -e 'LICENSE' && cd ..
}

t48() {		# wifimac: d85d4cd50b56
	echo; echo '=== next_image: t48 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,Photograph,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t48"
	git stash; test -e 'LICENSE' && cd ..
}

n48() {		# wifimac: d85d4cd50b56
	echo; echo '=== next_image: n48 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,Photograph,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n48"
	git stash; test -e 'LICENSE' && cd ..
}

s49() {		# wifimac: dc9fdb03a1c2
	echo; echo '=== next_image: s49 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Ubiquiti Bullet M2' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s49"
	git stash; test -e 'LICENSE' && cd ..
}

b49() {		# wifimac: dc9fdb03a1c2
	echo; echo '=== next_image: b49 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Ubiquiti Bullet M2' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b49"
	git stash; test -e 'LICENSE' && cd ..
}

t49() {		# wifimac: dc9fdb03a1c2
	echo; echo '=== next_image: t49 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Ubiquiti Bullet M2' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t49"
	git stash; test -e 'LICENSE' && cd ..
}

n49() {		# wifimac: dc9fdb03a1c2
	echo; echo '=== next_image: n49 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Ubiquiti Bullet M2' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n49"
	git stash; test -e 'LICENSE' && cd ..
}

s50() {		# wifimac: dc9fdb0dc935
	echo; echo '=== next_image: s50 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Ubiquiti Bullet M5 Titanium' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s50"
	git stash; test -e 'LICENSE' && cd ..
}

b50() {		# wifimac: dc9fdb0dc935
	echo; echo '=== next_image: b50 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Ubiquiti Bullet M5 Titanium' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b50"
	git stash; test -e 'LICENSE' && cd ..
}

t50() {		# wifimac: dc9fdb0dc935
	echo; echo '=== next_image: t50 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Ubiquiti Bullet M5 Titanium' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t50"
	git stash; test -e 'LICENSE' && cd ..
}

n50() {		# wifimac: dc9fdb0dc935
	echo; echo '=== next_image: n50 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Ubiquiti Bullet M5 Titanium' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n50"
	git stash; test -e 'LICENSE' && cd ..
}

s51() {		# wifimac: dc9fdb140d2f
	echo; echo '=== next_image: s51 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Ubiquiti Nanostation M2' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s51"
	git stash; test -e 'LICENSE' && cd ..
}

b51() {		# wifimac: dc9fdb140d2f
	echo; echo '=== next_image: b51 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Ubiquiti Nanostation M2' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b51"
	git stash; test -e 'LICENSE' && cd ..
}

t51() {		# wifimac: dc9fdb140d2f
	echo; echo '=== next_image: t51 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Ubiquiti Nanostation M2' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t51"
	git stash; test -e 'LICENSE' && cd ..
}

n51() {		# wifimac: dc9fdb140d2f
	echo; echo '=== next_image: n51 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Ubiquiti Nanostation M2' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n51"
	git stash; test -e 'LICENSE' && cd ..
}

s52() {		# wifimac: e8de27fbeaca
	echo; echo '=== next_image: s52 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK Archer C7 v2' --usecase 'Standard,BigBrother,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s52"
	git stash; test -e 'LICENSE' && cd ..
}

b52() {		# wifimac: e8de27fbeaca
	echo; echo '=== next_image: b52 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK Archer C7 v2' --usecase 'Standard,BigBrother,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b52"
	git stash; test -e 'LICENSE' && cd ..
}

t52() {		# wifimac: e8de27fbeaca
	echo; echo '=== next_image: t52 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK Archer C7 v2' --usecase 'Standard,BigBrother,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t52"
	git stash; test -e 'LICENSE' && cd ..
}

n52() {		# wifimac: e8de27fbeaca
	echo; echo '=== next_image: n52 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK Archer C7 v2' --usecase 'Standard,BigBrother,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n52"
	git stash; test -e 'LICENSE' && cd ..
}

# DEBUG: hardware invalid: 'TP-LINK CPE510' - see: ec086b342a3e
# DEBUG: usecase invalid: 'Standard,DAWN,vxlan,kalua' - see: ec41180ff8a5
s53() {		# wifimac: f4ec389d8636
	echo; echo '=== next_image: s53 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,USBprinter,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s53"
	git stash; test -e 'LICENSE' && cd ..
}

b53() {		# wifimac: f4ec389d8636
	echo; echo '=== next_image: b53 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,USBprinter,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b53"
	git stash; test -e 'LICENSE' && cd ..
}

t53() {		# wifimac: f4ec389d8636
	echo; echo '=== next_image: t53 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,USBprinter,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t53"
	git stash; test -e 'LICENSE' && cd ..
}

n53() {		# wifimac: f4ec389d8636
	echo; echo '=== next_image: n53 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,USBprinter,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n53"
	git stash; test -e 'LICENSE' && cd ..
}

s54() {		# wifimac: f81a670541cc
	echo; echo '=== next_image: s54 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR841N/ND v8' --usecase 'Standard-4mb,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s54"
	git stash; test -e 'LICENSE' && cd ..
}

b54() {		# wifimac: f81a670541cc
	echo; echo '=== next_image: b54 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR841N/ND v8' --usecase 'Standard-4mb,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b54"
	git stash; test -e 'LICENSE' && cd ..
}

t54() {		# wifimac: f81a670541cc
	echo; echo '=== next_image: t54 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR841N/ND v8' --usecase 'Standard-4mb,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t54"
	git stash; test -e 'LICENSE' && cd ..
}

n54() {		# wifimac: f81a670541cc
	echo; echo '=== next_image: n54 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR841N/ND v8' --usecase 'Standard-4mb,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n54"
	git stash; test -e 'LICENSE' && cd ..
}

s55() {		# wifimac: f81a67331894
	echo; echo '=== next_image: s55 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,Photograph,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s55"
	git stash; test -e 'LICENSE' && cd ..
}

b55() {		# wifimac: f81a67331894
	echo; echo '=== next_image: b55 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,Photograph,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b55"
	git stash; test -e 'LICENSE' && cd ..
}

t55() {		# wifimac: f81a67331894
	echo; echo '=== next_image: t55 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,Photograph,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t55"
	git stash; test -e 'LICENSE' && cd ..
}

n55() {		# wifimac: f81a67331894
	echo; echo '=== next_image: n55 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,Photograph,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n55"
	git stash; test -e 'LICENSE' && cd ..
}

s56() {		# wifimac: f81a67a5d716
	echo; echo '=== next_image: s56 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WDR4900 v1' --usecase 'Standard,NAS,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s56"
	git stash; test -e 'LICENSE' && cd ..
}

b56() {		# wifimac: f81a67a5d716
	echo; echo '=== next_image: b56 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WDR4900 v1' --usecase 'Standard,NAS,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b56"
	git stash; test -e 'LICENSE' && cd ..
}

t56() {		# wifimac: f81a67a5d716
	echo; echo '=== next_image: t56 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WDR4900 v1' --usecase 'Standard,NAS,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t56"
	git stash; test -e 'LICENSE' && cd ..
}

n56() {		# wifimac: f81a67a5d716
	echo; echo '=== next_image: n56 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WDR4900 v1' --usecase 'Standard,NAS,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n56"
	git stash; test -e 'LICENSE' && cd ..
}

s57() {		# wifimac: f8d111a9b6a8
	echo; echo '=== next_image: s57 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,debug,LuCIfull,VDS,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s57"
	git stash; test -e 'LICENSE' && cd ..
}

b57() {		# wifimac: f8d111a9b6a8
	echo; echo '=== next_image: b57 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,debug,LuCIfull,VDS,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b57"
	git stash; test -e 'LICENSE' && cd ..
}

t57() {		# wifimac: f8d111a9b6a8
	echo; echo '=== next_image: t57 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,debug,LuCIfull,VDS,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t57"
	git stash; test -e 'LICENSE' && cd ..
}

n57() {		# wifimac: f8d111a9b6a8
	echo; echo '=== next_image: n57 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,debug,LuCIfull,VDS,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n57"
	git stash; test -e 'LICENSE' && cd ..
}

s58() {		# wifimac: f8d111a9c8da
	echo; echo '=== next_image: s58 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,LuCIfull,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s58"
	git stash; test -e 'LICENSE' && cd ..
}

b58() {		# wifimac: f8d111a9c8da
	echo; echo '=== next_image: b58 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,LuCIfull,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b58"
	git stash; test -e 'LICENSE' && cd ..
}

t58() {		# wifimac: f8d111a9c8da
	echo; echo '=== next_image: t58 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,LuCIfull,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t58"
	git stash; test -e 'LICENSE' && cd ..
}

n58() {		# wifimac: f8d111a9c8da
	echo; echo '=== next_image: n58 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,LuCIfull,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n58"
	git stash; test -e 'LICENSE' && cd ..
}

s59() {		# wifimac: f8d111a9d254
	echo; echo '=== next_image: s59 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,debug,VDS,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s59"
	git stash; test -e 'LICENSE' && cd ..
}

b59() {		# wifimac: f8d111a9d254
	echo; echo '=== next_image: b59 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,debug,VDS,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b59"
	git stash; test -e 'LICENSE' && cd ..
}

t59() {		# wifimac: f8d111a9d254
	echo; echo '=== next_image: t59 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,debug,VDS,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t59"
	git stash; test -e 'LICENSE' && cd ..
}

n59() {		# wifimac: f8d111a9d254
	echo; echo '=== next_image: n59 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,debug,VDS,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n59"
	git stash; test -e 'LICENSE' && cd ..
}

s60() {		# wifimac: fa1a675a7255
	echo; echo '=== next_image: s60 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WDR4900 v1' --usecase 'Standard,debug,USBprinter,VDS,OLSRd2,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s60"
	git stash; test -e 'LICENSE' && cd ..
}

b60() {		# wifimac: fa1a675a7255
	echo; echo '=== next_image: b60 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WDR4900 v1' --usecase 'Standard,debug,USBprinter,VDS,OLSRd2,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b60"
	git stash; test -e 'LICENSE' && cd ..
}

t60() {		# wifimac: fa1a675a7255
	echo; echo '=== next_image: t60 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WDR4900 v1' --usecase 'Standard,debug,USBprinter,VDS,OLSRd2,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t60"
	git stash; test -e 'LICENSE' && cd ..
}

n60() {		# wifimac: fa1a675a7255
	echo; echo '=== next_image: n60 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WDR4900 v1' --usecase 'Standard,debug,USBprinter,VDS,OLSRd2,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n60"
	git stash; test -e 'LICENSE' && cd ..
}

s61() {		# wifimac: 112233445566
	echo; echo '=== next_image: s61 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'UML' --usecase 'Standard-4mb,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED s61"
	git stash; test -e 'LICENSE' && cd ..
}

b61() {		# wifimac: 112233445566
	echo; echo '=== next_image: b61 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'UML' --usecase 'Standard-4mb,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED b61"
	git stash; test -e 'LICENSE' && cd ..
}

t61() {		# wifimac: 112233445566
	echo; echo '=== next_image: t61 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'UML' --usecase 'Standard-4mb,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED t61"
	git stash; test -e 'LICENSE' && cd ..
}

n61() {		# wifimac: 112233445566
	echo; echo '=== next_image: n61 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'UML' --usecase 'Standard-4mb,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/liszt28' || FAILED="$FAILED n61"
	git stash; test -e 'LICENSE' && cd ..
}

stable() {
	s1;s2;s3;s4;s5;s6;s7;s8;s9;s10;s11;s12;s13;s14;s15;s16;s17;s18;s19;s20;s21;s22;s23;s24;s25;s26;s27;s28;s29;s30;s31;s32;s33;s34;s35;s36;s37;s38;s39;s40;s41;s42;s43;s44;s45;s46;s47;s48;s49;s50;s51;s52;s53;s54;s55;s56;s57;s58;s59;s60;s61;
}

beta() {
	b1;b2;b3;b4;b5;b6;b7;b8;b9;b10;b11;b12;b13;b14;b15;b16;b17;b18;b19;b20;b21;b22;b23;b24;b25;b26;b27;b28;b29;b30;b31;b32;b33;b34;b35;b36;b37;b38;b39;b40;b41;b42;b43;b44;b45;b46;b47;b48;b49;b50;b51;b52;b53;b54;b55;b56;b57;b58;b59;b60;b61;
}

testing() {
	t1;t2;t3;t4;t5;t6;t7;t8;t9;t10;t11;t12;t13;t14;t15;t16;t17;t18;t19;t20;t21;t22;t23;t24;t25;t26;t27;t28;t29;t30;t31;t32;t33;t34;t35;t36;t37;t38;t39;t40;t41;t42;t43;t44;t45;t46;t47;t48;t49;t50;t51;t52;t53;t54;t55;t56;t57;t58;t59;t60;t61;
}

nightly() {
	n1;n2;n3;n4;n5;n6;n7;n8;n9;n10;n11;n12;n13;n14;n15;n16;n17;n18;n19;n20;n21;n22;n23;n24;n25;n26;n27;n28;n29;n30;n31;n32;n33;n34;n35;n36;n37;n38;n39;n40;n41;n42;n43;n44;n45;n46;n47;n48;n49;n50;n51;n52;n53;n54;n55;n56;n57;n58;n59;n60;n61;
}

all() { stable; beta; testing; }

update() { wget -O build_all.sh http://intercity-vpn.de/networks/liszt28/firmware/build_all.sh; }

# overall stable + beta + testing: 61 + 61 + 61 = 183 images
# already build: 0 images
# still needed: 183 images
#
# START: Fri Mar  3 06:52:11 CET 2023
# READY: Fri Mar  3 06:52:44 CET 2023
